Customer Registration

Creates an AWS S3 integration.

POST /partner-integration/product-id/integration

Input ParametersInput Parameters

Fields Mandatory Data Type Description
*bucketName={value} Optional (if accessPointArn is provided) String Provide the name of the AWS S3 bucket being used for integration.
bucketRegion={value} Mandatory String Provide the region where the AWS S3 bucket is located.
roleArn={value} Mandatory String Specify the ARN of the cross-account role which you created in your AWS account.
integrationType={value} Mandatory String Specify the type of integration. Provide the value “aws_s3”.
*accessPointArn={value} Optional (if bucketname is provided) String Provide the AWS S3 accessPointArn being used for integration

SampleSample

API Request

curl -X POST '<qualys_gateway_url>/partner-integration/{product-id}/integration' \
  -H 'accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer  ' \
	  

Request Body

{
            "integrationType": " ",
            "bucketName": " ",
            "bucketRegion": " ", 
            "roleArn":  ,
            "accessPointArn": 
}  
	  

Response

{
"productName": "CSAM",
"integrationValidated": false
}